﻿/* Content */
.card {
    border: none !important;   
}


/* Header  */
#container-header {
    background-color: #fff;
    display: inline-block; 
}

/* DataTable */
table.dataTable thead th /* Remover linhas horizontais pretas */ {
    border-bottom: none !important;
}

.dataTables_scrollBody /* Remover linhas horizontais pretas */ {
    border-bottom: 0 !important;
}

table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: #F9F9F9 !important;
}

.display th {
    letter-spacing: 0px;
    opacity: 1;
    font-size: 15px;
    font-weight: 500;
    line-height: 2;
    color: #8e8e8e;
}

.display tr td {
    cursor: pointer;
    font-size: 14px;
    line-height: 1.71;
    color: #717171 !important;
}

.display tr:hover td, table.dataTable tr.selected td {
    background-color: #307da2 !important;
    color: white !important;
}

#div-title-pd {
    float: left;
}

.title-pd {
    margin-top: 5px;
}

#div-btns-datatable {
    float: right;
}

#div-btn-collapse {
    float: right;
    margin-left: 5px;
}



/* Campo 'Pesquisar' do DataTable */
#main-table_filter {
    float: left !important;
    margin-left: 40px !important;
}

.dataTables_filter > label {  
    letter-spacing: 0px;
    opacity: 1;
    color: #8e8e8e;
    font-weight: bold;
}

.dataTables_filter > label > input {   
    margin: 0px 0px 5px 10px !important;
    border-radius: 4px !important;
    border: solid 1px #e6e6e6 !important;
    background-color: #FAFAFA !important;
    min-height: 35px !important;
    min-width: 300px !important;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif !important;
    font-size: 14px !important;
    line-height: 1.71 !important;   
    color: #717171 !important;   
    padding: .375rem .75rem !important;
}

    .dataTables_filter > label > input:focus {
        border-color: #cccccc !important;
        outline: 0 !important;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
    }

/* Genérico */
.hidden {
    display: none;
}

.container-fluid {
    padding-right: 0 !important;
    padding-left: 0 !important;
}



/* Filtros */
#collapse-filtros {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.filtros {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 5px;
}

.container-filtro {
  padding:10px;
}

/* Inputs */
.input-filtro {
    border-radius: 4px;
    border: solid 1px #e6e6e6 !important;
    background-color: #FAFAFA !important;
    min-height: 35px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 1.71;
    text-align: left;
    color: #717171;
    padding: .375rem .75rem !important;
}

.input-group-append {
    width: 40px;
}

.calendario {
    border-radius: 4px;
    border: solid 1px #e6e6e6;
    border-left: none;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    background-color: #FAFAFA !important;
    min-height: 40px;
    font-size: 14px;
    line-height: 1.71;
    color: #717171;
    padding-left: 13px;
    padding-top: 5px;
    cursor: pointer;
}

/* Remover a cor/focus da borda padrão dos Inputs */
.form-control:focus {
    border-color: #cccccc;
    outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.label-filtro {
    margin-bottom: 5px;
    letter-spacing: 0px;
    opacity: 1;
    font-size: 13px;
    font-weight: 500;
    line-height: 2;
    text-align: left;
    color: #8e8e8e;
}

#container-buttons {
    margin-top: 10px;
}



/* Datatables */
#container-dt {
    margin-top: 10px;
}

.table {
    --bs-table-striped-bg: rgba(0, 0, 0, 0) !important;
    --bs-table-hover-bg: rgba(0, 0, 0, 0) !important;
}

table.dataTable.no-footer {
    border-bottom: none !important;
}

tbody, td, tfoot, th, thead, tr {
    border-style: none !important;
}

table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: #fff;
}


table.dataTable tbody tr.selected {
    background-color: rgba(234, 234, 234, 0.5) !important;
}

tr.cg-row:hover {
    background-color: rgba(234, 234, 234) !important;
}



/*
* Botões
*/
/* Btn Genérico */
.btn {
    box-shadow: 0 0 1px 0 rgb(0 0 0 / 31%), 0 2px 2px -2px rgb(0 0 0 / 25%);
    padding: 4px 14px;
    font-size: 0.875rem;
    min-width: 64px;
    box-sizing: border-box;
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
    font-weight: 500;
    line-height: 1.75;
    border-radius: 4px;
    letter-spacing: 0.02857em;
    transition: 0.3s;
}

    .btn:focus {
        outline: none;
        box-shadow: none;
    }



/* Btn Confirmar - Aplicar */
.btn-confirmar {
    background-color: #ff5811;
    color: #fff;
}

    .btn-confirmar:hover {
        background-color: rgba(178, 61, 11);
        color: #fff;
    }


    .btn-confirmar:focus {
        background-color: #ff5811;
        color: #fff;
    }



/* Btn Cancelar - Limpar */
.btn-cancelar {
    background-color: #e0e0e0;
    color: rgba(0, 0, 0, 0.87);
}

    .btn-cancelar:hover {
        background-color: rgba(189, 189, 189);
        color: rgba(0, 0, 0, 0.87);
    }


    .btn-cancelar:focus {
        background-color: #e0e0e0;
        color: rgba(0, 0, 0, 0.87);
    }



/* Btn Filtros */
.btn-filtros {
    float: right;
    background-color: #fff;
    color: rgba(0, 0, 0, 0.87);
}

    .btn-filtros:hover {
        background-color: #e0e0e0;
        color: rgba(0, 0, 0, 0.87);
    }



/* Btn Datatable */
.btn-dataTable {
    background-color: #e0e0e0;
    color: rgba(0, 0, 0, 0.87);
    margin-bottom: 5px;
}

    .btn-dataTable:hover {
        background-color: rgba(189, 189, 189);
        color: rgba(0, 0, 0, 0.87);
    }

    .btn-dataTable:focus {
        background-color: #e0e0e0;
        color: rgba(0, 0, 0, 0.87);
    }



/* Background para botões collection */
.dt-button-background {
    background: none !important;
}



/* Exportar */
.btn-exportar .dt-down-arrow {
    float: right;
}

.btn-export {
    color: #307da2 !important;
    background-color: #fff !important;
    border: 2px solid #ededed !important;
    transition: .75s !important;
    display: inline-block !important;
    font-size: 14px !important;
    font-weight: 400 !important;
    border-radius: 4px !important;
    line-height: 1.5 !important;
    text-align: left !important;
}

    .btn-export:hover {
        border-color: #307da2 !important;
    }

.btn-csv {
    color: darkslategrey !important;
}

    .btn-csv:hover {
        border-color: darkslategrey !important;
    }

.btn-excel {
    color: forestgreen !important;
}

    .btn-excel:hover {
        border-color: forestgreen !important;
    }

.btn-pdf {
    color: darkred !important;
}

    .btn-pdf:hover {
        border-color: darkred !important;
    }

.btn-json {
    color: dimgray !important;
}

    .btn-json:hover {
        border-color: dimgray !important;
    }


/* Ícone "+" e "-" */
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before {
    background-color: #307da2 !important;  
}